Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.cep.event
Class PropertyAccessException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.wlrt.cep.event.PropertyAccessException

public final class PropertyAccessException
extends RuntimeException

This exception is thrown to indicate a problem with a accessing a property of an `EventBean`.

See Also:
  Serialized Form

Constructor Summary
`PropertyAccessException(String message)` Constructor.
`PropertyAccessException(String message, Throwable cause)` Constructor for an inner exception and message.
`PropertyAccessException(Throwable cause)` Constructor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(String message)

  Constructor.

  Parameters:
    `message` - is the error message

### PropertyAccessException

    public PropertyAccessException(String message,
                                   Throwable cause)

  Constructor for an inner exception and message.

  Parameters:
    `message` - is the error message
    `cause` - is the inner exception

### PropertyAccessException

    public PropertyAccessException(Throwable cause)

  Constructor.

  Parameters:
    `cause` - is the inner exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD